For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get spot deposit history

This endpoint returns spot asset deposit history.

GET /api/v1/account/spot_asset/deposit/history

Query Parameters

Field
Type
Need
Description
Example

"account"

string

required

User's wallet address

42trU9A5...

"limit"

integer

optional

Maximum number of records to return, defaults to system defined limit

100

"cursor"

string

optional

Cursor for pagination. Default to none

1115hVka

/api/v1/account/spot_asset/deposit/history?account=42trU9A5...

Response

  • Status 200: Successfully retrieved spot deposit history

{
  "success": true,
  "data": [
    {
      "symbol": "SOL",
      "amount": "1.50000000",
      "transaction_id": "5xGk...",
      "created_at": 1716200000000
    }
    ...
  ],
  "next_cursor": "11114Lz77",
  "has_more": true
}
Field
Type
Description

'symbol'

string

Spot asset symbol

'amount'

decimal string

Amount deposited

'transaction_id'

string

On-chain transaction identifier

'created_at'

integer

Timestamp in milliseconds of when the deposit occurred

'next_cursor'

string

Next cursor for pagination

'has_more'

boolean

True if there exists a 'next_cursor'

  • Status 400: Invalid request parameters

  • Status 401: Unauthorized access

  • Status 500: Internal server error

Code Example (Python)

Last updated